Page MenuHomePhabricator

Add tests for ConstraintParameterRenderer
Closed, ResolvedPublic

Description

As Thiemo pointed out in I32050ff565, the change neglected to add any tests. Currently, ConstraintParameterRenderer doesn’t have any tests…

I won’t do this right now, since constraint statements are higher priority.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterRewrite ConstraintParameterRendererTest::assertConstraintReportParameterList
mediawiki/extensions/WikibaseQualityConstraints : masterExtract ConstraintParameterRendererTest::assertConstraintReportParameterList
mediawiki/extensions/WikibaseQualityConstraints : masterAdd tests for ConstraintParameterRenderer

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2017, 5:29 PM

Change 405721 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add tests for ConstraintParameterRenderer

https://gerrit.wikimedia.org/r/405721

Lucas_Werkmeister_WMDE renamed this task from Add tests for constraint parameter roles to Add tests for ConstraintParameterRenderer.Jan 22 2018, 3:35 PM

Change 405872 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Extract ConstraintParameterRendererTest::assertConstraintReportParameterList

https://gerrit.wikimedia.org/r/405872

Change 405721 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add tests for ConstraintParameterRenderer

https://gerrit.wikimedia.org/r/405721

Change 405872 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Extract ConstraintParameterRendererTest::assertConstraintReportParameterList

https://gerrit.wikimedia.org/r/405872

Change 405877 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Rewrite ConstraintParameterRendererTest::assertConstraintReportParameterList

https://gerrit.wikimedia.org/r/405877

Change 405877 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Rewrite ConstraintParameterRendererTest::assertConstraintReportParameterList

https://gerrit.wikimedia.org/r/405877

Lucas_Werkmeister_WMDE closed this task as Resolved.Jan 30 2018, 12:50 PM